///////////////////////////////////////////////////////////////////////////////
//
// SAMPLE2.C - Example of Blowfish API call, using System linkage
//
// Compile this, and link with ENCRYPT.LIB to use encryption functions in DLL
// (or link with ENCRYPT.OBJ to build stand-alone .EXE).
//
// Matthew Spencer, 23/5/96
//
///////////////////////////////////////////////////////////////////////////////
#include <stdio.h>    // for printf()
#include <string.h>   // for strlen()
#include "encrypt.h"

int main()
{
   unsigned char text[] = "This is the sample text to encrypt";   
   unsigned char key[]  = "A sample key.";
   int len = strlen(text);

   // intialise
   BfInitialise(key, strlen(key));   // call the _System linkage function

   // display original text
   printf("\nThe original text (%d bytes) is: >>%s<<\n\n", len, text);

   // call encryption
   BfEncryptBlock(text, len);          
   printf("After encryption, the text is:   >>%s<<\n\n", text);

   // call decryption - should be the same as the original
   BfDecryptBlock(text, len);
   printf("After decryption, the text is:   >>%s<<\n\n", text);

   return 0;
}
